Cyberduck Mountain Duck CLI

#10497 closed defect (fixed)

NSInvalidArgumentException', reason: '+[NSColor systemGrayColor]: unrecognized selector

Reported by: refried Owned by:
Priority: normal Milestone: 6.8.3
Component: core Version: 6.8.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description (last modified by dkocher)

Have been using Cyberduck with Mac OS 10.9 and no problems. Just today, Cyberduck quilts every time I try to open a connection. The log shows the following problem:

Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '+[NSColor systemGrayColor]: unrecognized selector sent to class 0x7fff7d706860'
terminating with uncaught exception of type NSException
abort() called

Can you help?

Change History (9)

comment:1 Changed on Oct 14, 2018 at 4:51:19 PM by refried

Update. I found an older version of Cyberduck (6.6.2). It ran OK. Then, I quit the old version and opened the version that had the problem (6.8.0). Surprisingly, now it appears to be OK. Nevertheless, I would be grateful if you could provide some explanation of the original problem.

BTWm I am a licensed user.

Thank you.

comment:2 Changed on Oct 15, 2018 at 7:10:34 AM by dkocher

  • Summary changed from CD quits with "Open Connection" to NSInvalidArgumentException', reason: '+[NSColor systemGrayColor]: unrecognized selector

comment:3 Changed on Oct 15, 2018 at 7:10:50 AM by dkocher

  • Description modified (diff)

comment:4 Changed on Oct 15, 2018 at 6:01:54 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r45242.

comment:5 Changed on Oct 15, 2018 at 8:32:26 PM by dkocher

  • Milestone set to 6.8.2

comment:6 Changed on Oct 21, 2018 at 8:54:12 PM by dkocher

  • Milestone changed from 6.8.2 to 6.8.3
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:7 Changed on Oct 21, 2018 at 8:54:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r45331.

comment:8 Changed on Oct 28, 2018 at 3:37:20 PM by dkocher

#10522 closed as duplicate.

comment:9 Changed on Nov 1, 2018 at 8:37:12 AM by dkocher

#10527 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software